
##All drake conversation labels should be here

label drake_convo:

    scene dcbg_drake_desk with fade

    d "Who's there?"

    show dc_chair
    show drake smug
    show dc_desk
    with dissolve

    d "Oh, it's you."

    d "I hear you have some questions for me."

    d "That's alright, I've got a bit of time to kill."

    d "Let me get a bit more comfortable."

    show dc_drake_feet
    pause 1

    d "Now, I know you don't mind my feet in your face."

    d "So?"

    d "Ask away."

label .drake_menu:

    menu:
        d "What would you like to know?"

        "Uxies":
            call dc_uxies from _call_dc_uxies

        "Greenskins":
            call dc_greenskins from _call_dc_greenskins

        "Yellowskins":
            call dc_yellowskins from _call_dc_yellowskins

        "I'd like to look around the office.":
            d "Sure."
            jump do_start

        "Tell me a story.":
            d "Ok."

            menu:
                d "Which one?"

                "Bobby's bust":
                    jump bobbys_bust

                "Bobby's sentance":
                    jump bobbys_sentance

                "Nevermind":
                    jump .drake_menu

        "Nothing at the moment.":
            return

    jump .drake_menu

    return




label dc_uxies:

    """Big, green and mean. That's what everyone's saying right?

Ignorant simpletons.

Uxies are among the friendliest orc-girls in our multidimensional neighborhood.

Super-friendly, fit, slightly dense, robust - perfect for experimentation.

And, as an added bonus no chrage - all of them have foot fetishes.

I know, too good to be true? Shows how little you know.

These orc-girls have a supremely distinct sense of smell.

So good, in fact, that they can tell eachother apart just by their pheromones.

Take a guess were they produce most of their pheromones.

Bingo! Their feet!

Naturally, this led to a high integration of foot activities into their culture.

That's not the best part though.

Wanna know how to perfect perfection? The Drake way?

Two words - Nano Machines!

And not just any nano machines.

Hereditary, centrally controlled, intelligent, bio-bots!

These  bad boys circle through the Uxhaul body and do 24-7 maintinence and improvement.

You know what that means, right? Of course you don't, you peasent!

Effective immortality and on demand gene manipulation!

No disease, perfect health. Pinnacle of biological enginnering.

Plus, it's totally automatic.

It's in their genes, you see, the blueprints for the machines. They're constantly making them.

They're just one of DrakeLabs' ingenious breakthroughs.
The orc-girl, perfected.

Now that's what I call intelligent design!"""

    return


label dc_greenskins:

    """Three distinct groups make the Uxhaul greenskin population: goblins, orclings and orcs.

Let's start small so your  brain can keep up."""

    show dc_green_goblin at centerleft with dissolve

    """Goblins or 'gobbos' are the smallest greenskin.

They reach the height of a typical halfling.

Not many people know this, but they're actually the first stage of an Uxies developement cycle.

And they're the most numerous greenskin, outnumbering the orc-girls ten to one.

Well, talk about the orc-girls next."""

    show dc_green_orc at centerright with dissolve

    """The 'face' of Uxhaul. It's what you think about when you say Uxie.

They're big orc-girls. Strong, statuesque.

They're average height is around 2.3 meters.

They share their position as the most numerous greenskin with the orclings.

But do you even know what an 'orcling' is?

Yeah, thought so."""

    show dc_green_orcling at truecenter with dissolve

    """Well, actually, they're the same as regular orc-girls, only smaller.

Some orc-girls grow to their full size, and some don't.

Orclings tend to be slightly bigger than human females.

They're much stronger though. Weaker than orc-girls, but still powerful.

That's the general overview of the greenskins."""

    hide dc_green_goblin
    hide dc_green_orcling
    hide dc_green_orc

    return

label dc_yellowskins:

    """The yellowskins, like the greenskins, can also be divided into three groups.

The imps, the ogrelings and the ogre-girls."""

    show dc_yellow_imp at centerleft with dissolve

    """See those little, yellow, dimension-phasing pests?

They're imps.

The only good imp is one that's trapped in a dimension box.

They like to phase through walls, pop into our dimension and cause all sorts  of inconvenience.

The real kicker is that they're the most populous type of Uxie that there is.

It's not even close. For every other living thing on Uxhaul, they're around one million imps.

'So where do they fit?' I hear your smooth-brain asking.

They're in their own dimension dummy. Some of them occasionally phase through, but they mostly keep on the other side of the dimensional membrane.

Every imp we've ever seen is just the tippiest tip of the ice-berg.

Ogres and ogrelings? Far simpler and concrete."""

    show dc_yellow_ogre at centerright with dissolve
    show dc_yellow_ogreling at truecenter with dissolve

    """The difference between them is the same as in greenskins, as in they're actually the same thing only different sizes.

We call 'ogrelings' yellowskins that are the size from a diminutive human to a grown orc-girl.

Anything above that is categorized as ogres.

Catch all that? Ogres are bigger than orcs.

They can be a bit bigger, or gigantically huger. As in actuall giants.

That's the gist of yellowskins."""

    hide dc_yellow_imp
    hide dc_yellow_ogre
    hide dc_yellow_ogreling with dissolve

    return
