init python:

    class getMousePosition(renpy.Displayable):

        def __init__(self):
            renpy.Displayable.__init__(self)

        def event(self, ev, x, y, st):
            import pygame

            if ev.type == pygame.MOUSEMOTION: # Updates the position of the mouse every time the player moves it
                store.mousex = x
                store.mousey = y

        def render(self, width, height, st, at):
            return renpy.Render(1, 1)

    store.mousePosition= getMousePosition()

    def checkEvent():
        ui.add(mousePosition)
    config.overlay_functions.append(checkEvent) # This adds a 1*1 displayable on every screen


init python:

    class Inter:

        def __init__(self, name, actions, uses):
            self.name = name
            self.actions = actions
            self.uses = uses
            self.iden = (name.replace(" ", "")).lower()
            self.history = []

        def label(self, action):
            x = self.iden + "_" + (action.replace(" ", "")).lower()
            return x

    class Unter(Inter):

        def __init__(self, name, actions, uses, active):
            self.active = active

            Inter.__init__(self, name, actions, uses)

    inter1 = Inter("Nuclear Reactor", ["look", "listen", "smell"], ["Two week old socks"])
    inter2 = Inter("Poster", ["look", "lick"], [])
    inter3 = Inter("Printer", ["think", "use"], [])
    inter4 = Inter("Filing cabinet", ["look"], [])
    unter1 = Unter("Some socks", ["pick up"], [], False)

    class Inventr:

        def __init__(self, name):
            self.name = name

        def pocket(self):
            if self.name not in inventory:
                inventory.append(self.name)
                inventory.sort()

        def unpocket(self):
            if self.name in inventory:
                inventory.remove(self.name)
                inventory.sort()

    inventr1 = Inventr("Two week old socks")

label action_try(inter, i):

    python:
        if renpy.has_label(inter.label(i)):
            inter.history.append(i)
            renpy.jump(inter.label(i))
        else:
            renpy.jump("action_fail")

    "You're not supposed to be in the label action_try."

    return


label action_fail:

    "This doesn't make sense."

    return

label action_none:

    "There is no None action."

    return
