define jud = Character("", image = "judge", kind = bubble)

label bobbys_sentance:

#First scene setup
    scene bg court
    show bobby silhouette
    with fade

    by """I can't believe they actually dragged me to court.

    Still, better than being at the police station.

    Let's just get this over with.

    I just hope the judge is someone normal."""

    jud "All rise for her honorable judgmentalness..."

    by "(Here comes the judge...)"

#Judge shows up

    show judge with dither

    jud """Alessandrina Principalia Hochferd the 4th.

    Thank you, Mac."""

    by "Of course."

    jud """Now, let's see -

    Ah! Here we are.

    Case number 178889-c61, The People and Common Sense vs the halfling, on a charge of having smelly feet in public, this court finds the defendant guilty on all accounts. Please notify the penal warden, hand these over in triplicate to the records office, and lock up the courtroom. We are adjourned."""

    by "W-WAIT!"

    jud "Excuse me - who are you again?"

    by "The defendant!"

    jud "Which one?"

    by "The one you sentenced just now!"

    jud """Ah yes, the halfling.

    So, what seems to be the problem?"""

    by """The problem?!

	You just banged out a guilty verdict!

	Can I get at least some deliberation?"""

    jud """What's there to deliberate?

    You're a halfling, you obviously have your feet on you at all times. I fail to see the conundrum."""

    by "You didn't even hear my side of the story!"

    jud """Ok, ok...

	Are you a halfling?"""

    by "Yes!"

    jud "On the night in question - did you or did you not have your feet on you."

    by "Well, sure."

    jud "And here the record states - that you haven't washed those feet in several hours before being detained by our fine police officers."

    by "Well, yes but..."

    jud """Are you aware that halfling feet smell much worse than elven feet?

	Are you aware that to be kept at an acceptable hygienic level they need to be washed hourly?

	Are you aware of what kind of public nuisance you can cause with those feet?"""

    by """...

    ...I am now..."""

    jud "And that's that. I'm glad we're in agreement."

    by """No, wait! No, we're not.

	That's a ridiculous standard!

	I can't keep washing my feet all the time - I was at work!

	It's totally unfair."""

    jud "I don't make the laws - I just enjoy them."

    by "This is crazy."

    jud """Look, I can understand how our elven laws might be a bit hard to grasp, especially for a halfling mind.

	So, taking that into account, even though it's a breach of protocol -"""

    by "...Yes?"

    jud """I'm going to let you choose the facility in which you'll be serving your sentence.

	Is that agreeable to you?"""

    by "..."

    jud "That's the best deal you're going to get."

    by """Fine-

	I suppose it's better than nothing."""

    jud """Indeed.

	That's the first sensible thing you said today.

	So, let's see now...

	...hmm, hmm, hmm... where was...ah, this one...

	...no, no, no, can't have that... how about...

	...this...and this one and there we are!

	Ok, I've got three choices for you:

	First - the Eversmile Sanatorium for the mentally disturbed."""

    by "Mentally disturbed?"

    jud """You clearly don't know your place halfling, a clear sign of mental deficiency.

	I'm sure the Eversmile girls will help you. It's a drow-run hospital. Highly recommended."""

    by "(Maybe you should go then.)"

    jud "Pardon?"

    by "Nothing, nothing."

    jud "Hmm... You would stay there for a year of treatment."

    by "A whole year?!"

    jud """If the halfling is displeased with the length of her sentence maybe she should let me finish.

	As I was saying, choice number two - the 'Step above the rest' retraining center.

	It's run by orc girls with a passion for smelly feet. I'm sure you'll have a lot in common."""

    by "Hmph."

    jud """Even though I loathe their foot hygiene practices, I can't deny the effectiveness of their methods.

	They claim they can retrain anyone to a job most suited to their talents and achieve absolute harmony within their society. All within two months!"""

    by "Sounds too good to be true."

    jud """Doesn't it? All this new-agey stuff sounds the same to me.

	Still, I haven't had a repeat offender coming from the place, so they must be doing something right."""

    by "Hmm..."

    jud "And lastly - Fumesome maximum security correctional facility, one week stay."

    by "Just one week? What's the catch?"

    jud """It's run by ogre girls, and they're no joke.

	Even though it's the shortest sentence, it's the one I least recommend."""

    by "Thanks for the advice."

label .choose:

    menu:
        "So, what is your choice?"

        "Elf":
            show black with dissolve
            show court drow with moveintop

            """A wise choice. The drow have always been a beacon of reason, sensibility, and good culture.

	        With their tickling methods, I'm sure you'll learn your rightful place in an elven society."""

            menu:
                "Will you proceed?"
                "Yes":
                    jump .elf
                "No":
                    hide black
                    hide court drow
                    with dither
                    jump .choose

        "Orc":
            show black with dissolve
            show court orc with moveintop

            """The orc-girl methods are a mystery to me. I mean using smelly feet to cure an offender of smelly feet?

	        And yet their record is impeccable. Their center seems to be doing excellent work."""

            menu:
                "Are you gonna go with the orc-girls?"
                "Yes":
                    jump .orc
                "No":
                    hide black
                    hide court orc
                    with dither
                    jump .choose

        "Ogre":
            show black with dissolve
            show court ogre with moveintop

            """There are some harsh truths we must accept as a necessary part of our majestic elven society.

	        One such truth is the brutal and merciless punishment of convicts.

            Ogres are absolutely ruthless. Their corrective methods use their feet. Their unbelievably sweaty, smelly, toe-jam-riddled feet."""

            menu:
                "Are you sure about this?"
                "Yes":
                    jump .ogre
                "No":
                    hide black
                    hide court ogre
                    with dither
                    jump .choose

label .elf:
    scene black with fade
    show building intro elf with dither

    jud """The Eversmile sanatorium is a state-of-the-art mental facility.

	For decades they've helped non-elves integrate into elven society."""


    show bobby silhouette2
    show intro back elf behind building
    with dither

    by "Looks fancy."

    show elf intro behind bobby with dither

    jud "It isn't fancy, it's state of the art."

    by "You must be..."

    jud """Your physician.

	Don't worry, you're in good hands here."""

    by "What's with the foot?"

    jud """Oh nothing, nothing.

	Just running a test, that's all..."""

    "To be continued..."

    return

label .orc:
    scene black with fade
    show building intro orc with dither

    jud """Welcome to the fancy part of town.

	And there's the retraining center. Looks pretty sleek."""

    show bobby silhouette2
    show intro back orc behind building
    with dither

    by "I don't know about this. Looks too good."

    show orc intro behind bobby with dither

    jud "Looks only as good as you deserve! Only the best for all our clients."

    by """Whoa... Hello.

	Uh whats with the-"""

    jud "Foot? I'm so glad you asked. Did you know that foot and foot-related markets are the highest growing in the current galactic economy?"

    by "Uh...no?"

    jud "Yessirie that's a fact. Here at the 'Step above the rest' retraining center we guarantee to retrain you into the most profitable and stable career path that's suited to your individual talents and preferences!"

    "To be continued..."

    return

label .ogre:
    scene black with fade
    show building intro ogre with dither

    jud """Here it is - Fumesome prison, and boy are the fumes strong today.

	Whatever's cooking in there, it doesn't look good."""

    show bobby silhouette2
    show intro back ogre behind building
    with dither

    by "Maybe this wasn't such a good idea."

    show ogre intro behind bobby with dither

    jud "Is one week with us more than the little halfling can handle?"

    by """I guess it's worth it if it'll be over in one week.

	But..uh... what's with the foot."""

    jud """Oh, I just had one of the other inmates lick my sweaty foot clean and eat the jam between my toes.

	I just wanted to show you the cleanest foot you'll be seeing during your stay here."""

    by "*gulp*"

    jud "Now, let's get you into your prison clothes."

    scene black with fade
    show bobby tied at truecenter with dither

    by "What the hell is this?! I'm completely naked!"

    jud """Rope is in this season!

    Now listen inmate. You're here so we can correct your behavior.

    That means you have to listen to us and follow the rules.

    If you don't, we have the jurisdiction to add to your sentence!

    Is that clear?!"""

    by "W-wait! That wasn't part of the deal."

    jud "Well, too bad! That's the way it's gonna be!"

    scene bg correctional with fade

    "..."

    show ogre 1 with dither

    "..."

    show ogre 2 with dither

    "..."

    show ogre 3 with dither

    "..."

    show ogre 4 with dither

    "To be continued..."

    return
